% Uses Mu-Analysis to Calculate System Robustness to Structured Uncertainties
d2r=pi/180; r2d=180/pi; 
Npv=28; Nlv=32;                                   % Number of Param Variations
[Apu,Bpu,Cpu,Dpu]= pitch_unc;                     % Pitch Vehicle Model with 28 Uncertainties
[Alu,Blu,Clu,Dlu]= later_unc;                     % Later Vehicle Model with 32 Uncertainties
w=logspace(-2,2,500);                             % and Frequ domain analysis

[Acp,Bcp,Ccp,Dcp]=linmod('Pitch_Robust_Anal'); 
sys=ss(Acp,Bcp,Ccp,Dcp);
sysf= FRD(sys,w);
blk=[-ones(Npv,1), zeros(Npv,1)];
[bnd,muinfo]= mussv(sysf,blk);
ff= get(muinfo.bnds, 'frequency');
muu=get(muinfo.bnds, 'responsedata');
muu=squeeze(muu);
muu=muu(1,:);
figure (1)
loglog(ff,muu, 'LineWidth',1.5)
xlabel('Frequency (rad/sec)')
ylabel('ssv')
Title('Pitch Mu Analysis')

[Acl,Bcl,Ccl,Dcl]=linmod('Lateral_Robust_Anal'); 
sys=ss(Acl,Bcl,Ccl,Dcl);
sysf= FRD(sys,w);
blk=[-ones(Nlv,1), zeros(Nlv,1)];
[bnd,muinfo]= mussv(sysf,blk);
ff= get(muinfo.bnds, 'frequency');
muu=get(muinfo.bnds, 'responsedata');
muu=squeeze(muu);
muu=muu(1,:);
figure (2)
loglog(ff,muu, 'LineWidth',1.5)
xlabel('Frequency (rad/sec)')
ylabel('ssv')
Title('Lateral Mu Analysis')
