d2r=pi/180; r2d=180/pi;
[Aps, Bps, Cps, Dps] = pitch_des;                % Load Pitch aero-surf Design Model
[Als, Bls, Cls, Dls] = later_des;                % Load Lateral aero-surf Design Model
[Ave, Bve, Cve, Dve] = vehicle_sim;              % Simulation Model 6-dof
load KmixM10.mat -ascii; Kmix=KmixM10;           % Load Surfaces Mix Logic (7 x 3)

alfa0=6.902; V0=10999.7; Thet0=6.584; ge=32.174; % Additional Vehicle Parameters
calfa=cos(alfa0*d2r); salfa=sin(alfa0*d2r);      % for Body to Stability Transform

% Convert Lateral State Vector from Body to Stability Axes, Outputs=States
[Al4,Bl4,Cl4,Dl4]= linmod('Ldes5x');             % 5-state model {p,r,bet,pint,betint}
Al5= Cl4*Al4*inv(Cl4);  Bl5= Cl4*Bl4;            % Stability axis System
Cl5= Cl4*inv(Cl4);      Dl5= Dl4;

% Lateral LQR Design Using Only the RCS Jets
R=[1,10]*0.25; R=diag(R);                            % LQR Weights R=[1,10]*2
Q=[10 2 0.5 10 0.01]*1; Q=diag(Q);            % LQR Weights Q=[1 1 1 0.04 0.04]*0.4
[Kpr,s,e]=lqr(Al5,Bl5,Q,R)                       % Perform LQR design on Jets
save Kpr_M10_0.mat Kpr -ascii

% Pitch LQR Design Using the 7 Aero-Surfaces
[Ap4,Bp4,Cp4,Dp4]= linmod('Pdes4xa');            % 4-state des model {theta,q,alfa,alfi}
R=8; Q=[0.0001 1  10 30]; Q=diag(Q);           % LQR Weights for {theta,q,alfa,alfi}
[Kq,s,e]=lqr(Ap4,Bp4,Q,R)                        % Perform LQR design on Surf
save Kq_M10_0.mat Kq -ascii