d2r=pi/180; r2d=180/pi;
[Aps, Bps, Cps, Dps] = pitch_des;                % Load Pitch aero-surf Design Model
[Als, Bls, Cls, Dls] = later_des;                % Load Lateral aero-surf Design Model
[Ave, Bve, Cve, Dve] = vehicle_sim;              % Simulation Model 6-dof
load KmixM20.mat -ascii; Kmix=KmixM20;           % Load Surfaces Mix Logic (7 x 3)

alfa0=29.274; V0=24675.1; Thet0=27.69; ge=32.174; % Additional Vehicle Parameters
calfa=cos(alfa0*d2r); salfa=sin(alfa0*d2r);      % for Body to Stability Transform

% Convert Lateral State Vector from Body to Stability Axes, Outputs=States
[Al4,Bl4,Cl4,Dl4]= linmod('Ldes5x');             % 5-state model {ps,rs,bet,pint,betint}
Al5= Cl4*Al4*inv(Cl4);  Bl5= Cl4*Bl4;            % Stability axis System
Cl5= Cl4*inv(Cl4);      Dl5= Dl4;

% Lateral LQR Design Using Only the RCS Jets     % States: {ps,rs,bet,psint,betint}
R=[1,10]*1.0; R=diag(R);                            % Cntrl LQR Weights R=[1,1]*5
Q=[10 0.4 0.5 10 0.005]*1; Q=diag(Q);            % State LQR Weights Q=[1 0.4 0.5 0.2 0.005]
[Kpr,s,e]=lqr(Al5,Bl5,Q,R)                       % Lateral LQR design
save Kpr_M20_0.mat Kpr -ascii

% Pitch LQR Design Using the 7 Aero-Surfaces     % States: {thet,q,alfa,alfint}
[Ap4,Bp4,Cp4,Dp4]= linmod('Pdes4xb');            % 4-state des model {gami,gama,q,alfa,alfint}
R=10; Q=[0.001 0.4 10 80]; Q=diag(Q);          % LQR Weights {thet,q,alfa,alf_int}
[Kq,s,e]=lqr(Ap4,Bp4,Q,R)                        % Perform LQR design on Surf
save Kq_M20_0.mat Kq -ascii