function Dqpr= Pitch_FCS(u1, alfe,mach)     
% Implements State-Feedback Control Laws
% u1 is the pitch state-feedback variables [gamma,q,alfa,alfa-integr]
% u2 is the accelerom state-feedback variables [Nz,Nzi]
global Kq Kmix r2d

% Design alfe: [-5, 0, +5]
if     (alfe>= 3),            Ia=int8(3); Ia2=Ia;      a=4; da=0;
elseif (alfe>= 0) & (alfe<3), Ia=int8(2); Ia2=int8(3); a=2; da=(alfe/3);
elseif (alfe>=-3) & (alfe<0), Ia=int8(1); Ia2=int8(2); a=2; da=(3+alfe)/3;
elseif (alfe< -3),            Ia=int8(1); Ia2=Ia;      a=1; da=0; 
end

% Design machs: [25-20, 20-15, 15-10, 10-5, 5]
if     (mach>=25),             Im=int8(1);  Im2=Im;      q=1;  dm=0;
elseif (mach>=20) & (mach<25), Im=int8(2);  Im2=int8(1); q=2;  dm=(mach-20)/5;
elseif (mach>=18) & (mach<20), Im=int8(3);  Im2=int8(2); q=3;  dm=(mach-18)/2;
elseif (mach>=17) & (mach<18), Im=int8(4);  Im2=int8(3); q=4;  dm=(mach-17)/1;
elseif (mach>=16) & (mach<17), Im=int8(5);  Im2=int8(4); q=5;  dm=(mach-16)/1;
elseif (mach>=15) & (mach<16), Im=int8(6);  Im2=int8(5); q=6;  dm=(mach-15)/1;
elseif (mach>=14) & (mach<15), Im=int8(7);  Im2=int8(6); q=7;  dm=(mach-14)/1;
elseif (mach>=13) & (mach<14), Im=int8(8);  Im2=int8(7); q=8;  dm=(mach-13)/1;
elseif (mach>=12) & (mach<13), Im=int8(9);  Im2=int8(8); q=9;  dm=(mach-12)/1;
elseif (mach>=11) & (mach<12), Im=int8(10); Im2=int8(9); q=10; dm=(mach-11)/1;
elseif (mach>=10) & (mach<11), Im=int8(11); Im2=int8(10);q=11; dm=(mach-10)/1;
elseif (mach>= 9) & (mach<10), Im=int8(12); Im2=int8(11);q=12; dm=(mach- 9)/1;
elseif (mach>= 8) & (mach< 9), Im=int8(13); Im2=int8(12);q=13; dm=(mach- 8)/1;
elseif (mach>= 7) & (mach< 8), Im=int8(14); Im2=int8(13);q=14; dm=(mach- 7)/1;
elseif (mach>= 6) & (mach< 7), Im=int8(15); Im2=int8(14);q=15; dm=(mach- 6)/1;
elseif (mach>= 5) & (mach< 6), Im=int8(16); Im2=int8(15);q=16; dm=(mach- 5)/1;
elseif (mach>= 4) & (mach< 5), Im=int8(17); Im2=int8(16);q=17; dm=(mach- 4)/1;
elseif (mach>= 3) & (mach< 4), Im=int8(18); Im2=int8(17);q=18; dm=(mach- 3)/1;
elseif (mach>=2.5)& (mach< 3), Im=int8(19); Im2=int8(18);q=19; dm=(mach-2.5)/0.5;
elseif (mach>=2.0)& (mach<2.5),Im=int8(20); Im2=int8(19);q=20; dm=(mach-2.0)/0.5;
elseif (mach>=1.5)& (mach<2.0),Im=int8(21); Im2=int8(20);q=21; dm=(mach-1.5)/0.5;
elseif (mach>=1.0)& (mach<1.5),Im=int8(22); Im2=int8(21);q=22; dm=(mach-1.0)/0.5;
elseif (mach>=0.7)& (mach<1.0),Im=int8(23); Im2=int8(22);q=23; dm=(mach-0.7)/0.3;
elseif (mach>=0.5)& (mach<0.7),Im=int8(24); Im2=int8(23);q=24; dm=(mach-0.5)/0.2;
elseif (mach< 0.5),            Im=int8(25); Im2=Im;      q=25; dm=0; 
end

% Calculate Surface Deflections due to pitch state-feedback u1
dq1=  -Kmix(:,2,Im) *(Kq(:,:,Ia, Im) *u1);           %.. deflects at nominal (Ia,Im)
dq2=  -Kmix(:,2,Im) *(Kq(:,:,Ia2,Im) *u1);           %.. deflects at next (Ia2,Im)
dq3=  -Kmix(:,2,Im2)*(Kq(:,:,Ia, Im2)*u1);           %.. deflects at prev (Ia,Im2)
dq= dq1  + (dq2 - dq1)*da  + (dq3 - dq1)*dm;       %.. Interpolate deflects

delta= dq*r2d;     %.. add deflects due to pitch (u1) and lateral (u2)
Dqpr=[delta; q;q];