% Combines the separate pitch and lateral matrices Kq_ and Kpr_
% Created at separate flight conditions into
% single four-dimensional matrices Kq(:,:,:,:) and Kpr(:,:,:,:)
% as a function of alpha-error (subscript 3), and Mach (subscript 4)
% and saves them in file FCS_Gains.mat
% Definition of alpha_error= alpha - alpha_command

clear all
% Load the Mixing Logic Matrices
load KmixM27 -ascii;   Kmix(:,:,1)= KmixM27;     
load KmixM20 -ascii;   Kmix(:,:,2)= KmixM20;  Kmix(:,:,3)= KmixM20; Kmix(:,:,4)=KmixM20;
                       Kmix(:,:,5)= KmixM20;  Kmix(:,:,6)= KmixM20;
load KmixM10 -ascii;   Kmix(:,:,7)= KmixM10;  Kmix(:,:,8)= KmixM10; Kmix(:,:,9)=KmixM10;
                       Kmix(:,:,10)=KmixM10;  Kmix(:,:,11)=KmixM10; 
                       Kmix(:,:,12)=KmixM10;  Kmix(:,:,13)=KmixM10; 
load KmixM7 -ascii;    Kmix(:,:,14)=KmixM7;   Kmix(:,:,15)=KmixM7; 
load KmixM5 -ascii;    Kmix(:,:,16)=KmixM5;    
load KmixM4 -ascii;    Kmix(:,:,17)=KmixM4;   Kmix(:,:,18)=KmixM4;  
load KmixM2 -ascii;    Kmix(:,:,19)=KmixM2;   Kmix(:,:,20)=KmixM2;  Kmix(:,:,21)=KmixM2; 
load KmixM1p1 -ascii;  Kmix(:,:,22)=KmixM1p1; 
load KmixM0p9 -ascii;  Kmix(:,:,23)=KmixM0p9; 
load KmixM0p7 -ascii;  Kmix(:,:,24)=KmixM0p7; 
load KmixM0p5 -ascii;  Kmix(:,:,25)=KmixM0p5; 
load KmixM0p4 -ascii;  Kmix(:,:,26)=KmixM0p4(:,[1,2,3]); 

% Lateral Mixing Logic
Klmix(:,:,1)= KmixM27(:,[1,3]);
Klmix(:,:,2)= KmixM20(:,[1,3]);
Klmix(:,:,3)= KmixM10(:,[1,3]);
Klmix(:,:,4)= KmixM10(:,[1,3]);
Klmix(:,:,5)= KmixM7(:,[1,3]);
Klmix(:,:,6)= KmixM4(:,[1,3]);
Klmix(:,:,7)= KmixM4(:,[1,3]);
Klmix(:,:,8)= KmixM1p1(:,[1,3]);
Klmix(:,:,9)= KmixM0p9(:,[1,3]);
Klmix(:,:,10)=KmixM0p7(:,[1,3]);
Klmix(:,:,11)=KmixM0p5(:,[1,3]);
Klmix(:,:,12)=KmixM0p4(:,[1,3]);

% Load the Pitch Gain Matrices
load Kq_M27_0  -ascii;  
load Kq_M20_0  -ascii;  
load Kq_M19_0  -ascii;  
load Kq_M18_0  -ascii;  
load Kq_M17_0  -ascii;  
load Kq_M16_0  -ascii;  
load Kq_M15_0  -ascii;  
load Kq_M14_0  -ascii;  
load Kq_M13_0  -ascii;  
load Kq_M12_0  -ascii;  
load Kq_M11_0  -ascii;  
load Kq_M10_0  -ascii;  
load Kq_M09_0  -ascii;  
load Kq_M08_0  -ascii;  
load Kq_M07_0  -ascii;  
load Kq_M06_0  -ascii;  
load Kq_M05_0  -ascii;  
load Kq_M04_0  -ascii;  
load Kq_M03_0  -ascii;  
load Kq_M02_0  -ascii;  
load Kq_M1p1_0  -ascii;  
load Kq_M0p9_0  -ascii;  
load Kq_M0p7_0  -ascii;  
load Kq_M0p5_0  -ascii;  
load Kq_M0p4_0  -ascii;  

Kq(:,:, 1,1)= Kq_M27_0(:,:);  Kq(:,:, 2,1)= Kq_M27_0(:,:);  Kq(:,:, 3,1)= Kq_M27_0(:,:);  
Kq(:,:, 1,2)= Kq_M20_0(:,:);  Kq(:,:, 2,2)= Kq_M20_0(:,:);  Kq(:,:, 3,2)= Kq_M20_0(:,:);  
Kq(:,:, 1,3)= Kq_M19_0(:,:);  Kq(:,:, 2,3)= Kq_M19_0(:,:);  Kq(:,:, 3,3)= Kq_M19_0(:,:);  
Kq(:,:, 1,4)= Kq_M18_0(:,:);  Kq(:,:, 2,4)= Kq_M18_0(:,:);  Kq(:,:, 3,4)= Kq_M18_0(:,:);  
Kq(:,:, 1,5)= Kq_M17_0(:,:);  Kq(:,:, 2,5)= Kq_M17_0(:,:);  Kq(:,:, 3,5)= Kq_M17_0(:,:);  
Kq(:,:, 1,6)= Kq_M16_0(:,:);  Kq(:,:, 2,6)= Kq_M16_0(:,:);  Kq(:,:, 3,6)= Kq_M16_0(:,:);  
Kq(:,:, 1,7)= Kq_M15_0(:,:);  Kq(:,:, 2,7)= Kq_M15_0(:,:);  Kq(:,:, 3,7)= Kq_M15_0(:,:);  
Kq(:,:, 1,8)= Kq_M14_0(:,:);  Kq(:,:, 2,8)= Kq_M14_0(:,:);  Kq(:,:, 3,8)= Kq_M14_0(:,:);  
Kq(:,:, 1,9)= Kq_M13_0(:,:);  Kq(:,:, 2,9)= Kq_M13_0(:,:);  Kq(:,:, 3,9)= Kq_M13_0(:,:);  
Kq(:,:, 1,10)=Kq_M12_0(:,:);  Kq(:,:, 2,10)=Kq_M12_0(:,:);  Kq(:,:, 3,10)=Kq_M12_0(:,:);  
Kq(:,:, 1,11)=Kq_M11_0(:,:);  Kq(:,:, 2,11)=Kq_M11_0(:,:);  Kq(:,:, 3,11)=Kq_M11_0(:,:);  
Kq(:,:, 1,12)=Kq_M09_0(:,:);  Kq(:,:, 2,12)=Kq_M09_0(:,:);  Kq(:,:, 3,12)=Kq_M09_0(:,:);  
Kq(:,:, 1,13)=Kq_M08_0(:,:);  Kq(:,:, 2,13)=Kq_M08_0(:,:);  Kq(:,:, 3,13)=Kq_M08_0(:,:);  
Kq(:,:, 1,14)=Kq_M07_0(:,:);  Kq(:,:, 2,14)=Kq_M07_0(:,:);  Kq(:,:, 3,14)=Kq_M07_0(:,:);  
Kq(:,:, 1,15)=Kq_M07_0(:,:);  Kq(:,:, 2,15)=Kq_M07_0(:,:);  Kq(:,:, 3,15)=Kq_M07_0(:,:);  
Kq(:,:, 1,16)=Kq_M05_0(:,:);  Kq(:,:, 2,16)=Kq_M05_0(:,:);  Kq(:,:, 3,16)=Kq_M05_0(:,:);  % Kq_M05_0
Kq(:,:, 1,17)=Kq_M04_0(:,:);  Kq(:,:, 2,17)=Kq_M04_0(:,:);  Kq(:,:, 3,17)=Kq_M04_0(:,:);  % Kq_M04_0
Kq(:,:, 1,18)=Kq_M03_0(:,:);  Kq(:,:, 2,18)=Kq_M03_0(:,:);  Kq(:,:, 3,18)=Kq_M03_0(:,:);  % Kq_M04_0
Kq(:,:, 1,19)=Kq_M03_0(:,:);  Kq(:,:, 2,19)=Kq_M03_0(:,:);  Kq(:,:, 3,19)=Kq_M03_0(:,:);  % Kq_M03_0
Kq(:,:, 1,20)=Kq_M02_0(:,:);  Kq(:,:, 2,20)=Kq_M02_0(:,:);  Kq(:,:, 3,20)=Kq_M02_0(:,:);  
Kq(:,:, 1,21)=Kq_M02_0(:,:);  Kq(:,:, 2,21)=Kq_M02_0(:,:);  Kq(:,:, 3,21)=Kq_M02_0(:,:);  
Kq(:,:, 1,22)=Kq_M1p1_0(:,:); Kq(:,:, 2,22)=Kq_M1p1_0(:,:); Kq(:,:, 3,22)=Kq_M1p1_0(:,:);  
Kq(:,:, 1,23)=Kq_M0p9_0(:,:); Kq(:,:, 2,23)=Kq_M0p9_0(:,:); Kq(:,:, 3,23)=Kq_M0p9_0(:,:);  
Kq(:,:, 1,24)=Kq_M0p7_0(:,:); Kq(:,:, 2,24)=Kq_M0p7_0(:,:); Kq(:,:, 3,24)=Kq_M0p7_0(:,:);  
Kq(:,:, 1,25)=Kq_M0p5_0(:,:); Kq(:,:, 2,25)=Kq_M0p5_0(:,:); Kq(:,:, 3,25)=Kq_M0p5_0(:,:);  
Kq(:,:, 1,26)=Kq_M0p4_0(:,:); Kq(:,:, 2,26)=Kq_M0p4_0(:,:); Kq(:,:, 3,26)=Kq_M0p4_0(:,:);  

% Load the Lateral Gain Matrices
load Kpr_M27_0  -ascii;
load Kpr_M20_0  -ascii; 
load Kpr_M15_0  -ascii; 
load Kpr_M10_0  -ascii;  
load Kpr_M09_0  -ascii;  
load Kpr_M07_0  -ascii; 
load Kpr_M04_0  -ascii; 
load Kpr_M02_0  -ascii; 
load Kpr_M1p1_0  -ascii;  
load Kpr_M0p9_0  -ascii;  
load Kpr_M0p7_0  -ascii;  
load Kpr_M0p5_0  -ascii;  
load Kpr_M0p4_0  -ascii;  

Kpr(:,:, 1,1)= Kpr_M27_0(:,:);  Kpr(:,:, 2,1)= Kpr_M27_0(:,:);  Kpr(:,:, 3,1)= Kpr_M27_0(:,:);  
Kpr(:,:, 1,2)= Kpr_M20_0(:,:);  Kpr(:,:, 2,2)= Kpr_M20_0(:,:);  Kpr(:,:, 3,2)= Kpr_M20_0(:,:);  
Kpr(:,:, 1,3)= Kpr_M15_0(:,:);  Kpr(:,:, 2,3)= Kpr_M15_0(:,:);  Kpr(:,:, 3,3)= Kpr_M15_0(:,:);  
Kpr(:,:, 1,4)= Kpr_M10_0(:,:);  Kpr(:,:, 2,4)= Kpr_M10_0(:,:);  Kpr(:,:, 3,4)= Kpr_M10_0(:,:);  
Kpr(:,:, 1,5)= Kpr_M07_0(:,:);  Kpr(:,:, 2,5)= Kpr_M07_0(:,:);  Kpr(:,:, 3,5)= Kpr_M07_0(:,:);  
Kpr(:,:, 1,6)= Kpr_M04_0(:,:);  Kpr(:,:, 2,6)= Kpr_M04_0(:,:);  Kpr(:,:, 3,6)= Kpr_M04_0(:,:);  
Kpr(:,:, 1,7)= Kpr_M02_0(:,:);  Kpr(:,:, 2,7)= Kpr_M02_0(:,:);  Kpr(:,:, 3,7)= Kpr_M02_0(:,:);  
Kpr(:,:, 1,8)= Kpr_M1p1_0(:,:); Kpr(:,:, 2,8)= Kpr_M1p1_0(:,:); Kpr(:,:, 3,8)= Kpr_M1p1_0(:,:);  
Kpr(:,:, 1,9)= Kpr_M0p9_0(:,:); Kpr(:,:, 2,9)= Kpr_M0p9_0(:,:); Kpr(:,:, 3,9)= Kpr_M0p9_0(:,:);  
Kpr(:,:, 1,10)=Kpr_M0p7_0(:,:); Kpr(:,:, 2,10)=Kpr_M0p7_0(:,:); Kpr(:,:, 3,10)=Kpr_M0p7_0(:,:);  
Kpr(:,:, 1,11)=Kpr_M0p5_0(:,:); Kpr(:,:, 2,11)=Kpr_M0p5_0(:,:); Kpr(:,:, 3,11)=Kpr_M0p5_0(:,:);  
Kpr(:,:, 1,12)=Kpr_M0p4_0(:,:); Kpr(:,:, 2,12)=Kpr_M0p4_0(:,:); Kpr(:,:, 3,12)=Kpr_M0p4_0(:,:);  

save FCS_Gains.mat Kq Kpr Kmix Klmix