function Dqpr= Lateral_FCS(u2, mach)     
% Implements Lateral State-Feedback Control Laws
% u2 is the lateral state-feedback variables [phi,p,r,beta,phi-integr]
global Kpr Klmix r2d
Ia=int8(2); Ia2=int8(3); da=0;

% Design Machs: [25, 20, 15, 10, 5, 4, 2, 1.1, 0.7, 0.56, 0.48]
if     (mach>=25),               Im=int8(1);  Im2=Im;      q=1;  dm=0;
elseif (mach>=20)  & (mach<25),  Im=int8(2);  Im2=int8(1); q=2;  dm=(mach-20)/5;
elseif (mach>=15)  & (mach<20),  Im=int8(3);  Im2=int8(2); q=3;  dm=(mach-15)/5;
elseif (mach>=10)  & (mach<15),  Im=int8(4);  Im2=int8(3); q=4;  dm=(mach-10)/5;
elseif (mach>= 5)  & (mach<10),  Im=int8(5);  Im2=int8(4); q=5;  dm=(mach-05)/5;
elseif (mach>= 4)  & (mach< 5),  Im=int8(6);  Im2=int8(5); q=6;  dm=(mach-04)/1;
elseif (mach>= 2)  & (mach< 4),  Im=int8(7);  Im2=int8(6); q=7;  dm=(mach-02)/2;
elseif (mach>= 1)  & (mach< 2),  Im=int8(8);  Im2=int8(7); q=8;  dm=(mach-01)/1;
elseif (mach>=0.72)& (mach<1.0), Im=int8(9);  Im2=int8(8); q=9;  dm=(mach-0.72)/0.28;
elseif (mach>=0.56)& (mach<0.72),Im=int8(10); Im2=int8(9); q=10; dm=(mach-0.56)/0.16;
elseif (mach>=0.48)& (mach<0.56),Im=int8(11); Im2=int8(10);q=11; dm=(mach-0.48)/0.08;
elseif (mach< 0.48),             Im=int8(12); Im2=Im;      q=12; dm=0; 
end

% Calculate Surface Deflections due to lateral state-feedback u2
dpr1= -Klmix(:,:,Im)*Kpr(:,:,Ia,Im)*u2;          %.. deflects at nominal (Ia,Im)
dpr2= -Klmix(:,:,Im)*Kpr(:,:,Ia2,Im)*u2;         %.. deflects at (Ia2,Im)
dpr3= -Klmix(:,:,Im2)*Kpr(:,:,Ia,Im2)*u2;        %.. deflects at (Ia,Im2)
dpr=dpr1 + (dpr2-dpr1)*da  + (dpr3-dpr1)*dm;     %.. Interpolate deflects

delta= dpr*r2d;    
Dqpr=[delta; q;q];