function Dqpr= Pitch_FCS(u1, mach, mni)     
% Implements the Pitch State-Feedback Control Laws
% u1 are the pitch state-feedback variables [gamma,gamma_int,q,alfa,alfa-int,Nz,Nz_int]
global Kq Kmix r2d

Ia=int8(2); Ia2=int8(3); da=0;
mnch=min(mach,mni);

% Design Machs: [25, 20, 15, 10, 5, 4, 3, 2, 1.1, 0.9, 0.7, 0.4]
if     (mnch>=25),              Im=int8(1);  Im2=Im;      q=1;  dm=0;
elseif (mnch>=20) & (mnch<25),  Im=int8(2);  Im2=int8(1); q=2;  dm=(mnch-20)/5;
elseif (mnch>=18) & (mnch<20),  Im=int8(3);  Im2=int8(2); q=3;  dm=(mnch-18)/2;
elseif (mnch>=17) & (mnch<18),  Im=int8(4);  Im2=int8(3); q=4;  dm=(mnch-17)/1;
elseif (mnch>=16) & (mnch<17),  Im=int8(5);  Im2=int8(4); q=5;  dm=(mnch-16)/1;
elseif (mnch>=15) & (mnch<16),  Im=int8(6);  Im2=int8(5); q=6;  dm=(mnch-15)/1;
elseif (mnch>=14) & (mnch<15),  Im=int8(7);  Im2=int8(6); q=7;  dm=(mnch-14)/1;
elseif (mnch>=13) & (mnch<14),  Im=int8(8);  Im2=int8(7); q=8;  dm=(mnch-13)/1;
elseif (mnch>=12) & (mnch<13),  Im=int8(9);  Im2=int8(8); q=9;  dm=(mnch-12)/1;
elseif (mnch>=11) & (mnch<12),  Im=int8(10); Im2=int8(9); q=10; dm=(mnch-11)/1;
elseif (mnch>=10) & (mnch<11),  Im=int8(11); Im2=int8(10);q=11; dm=(mnch-10)/1;
elseif (mnch>= 9) & (mnch<10),  Im=int8(12); Im2=int8(11);q=12; dm=(mnch- 9)/1;
elseif (mnch>= 8) & (mnch< 9),  Im=int8(13); Im2=int8(12);q=13; dm=(mnch- 8)/1;
elseif (mnch>= 7) & (mnch< 8),  Im=int8(14); Im2=int8(13);q=14; dm=(mnch- 7)/1;
elseif (mnch>= 6) & (mnch< 7),  Im=int8(15); Im2=int8(14);q=15; dm=(mnch- 6)/1;
elseif (mnch>= 5) & (mnch< 6),  Im=int8(16); Im2=int8(15);q=16; dm=(mnch- 5)/1;
elseif (mnch>= 4) & (mnch< 5),  Im=int8(17); Im2=int8(16);q=17; dm=(mnch- 4)/1;
elseif (mnch>= 3) & (mnch< 4),  Im=int8(18); Im2=int8(17);q=18; dm=(mnch- 3)/1;
elseif (mnch>=2.5)& (mnch< 3),  Im=int8(19); Im2=int8(18);q=19; dm=(mnch-2.5)/0.5;
elseif (mnch>=2.0)& (mnch<2.5), Im=int8(20); Im2=int8(19);q=20; dm=(mnch-2.0)/0.5;
elseif (mnch>=1.5)& (mnch<2.0), Im=int8(21); Im2=int8(20);q=21; dm=(mnch-1.5)/0.5;
elseif (mnch>=1.0)& (mnch<1.5), Im=int8(22); Im2=int8(21);q=22; dm=(mnch-1.0)/0.5;
elseif (mnch>=0.71)&(mnch<1.0), Im=int8(23); Im2=int8(22);q=23; dm=(mnch-0.71)/0.29;
elseif (mnch>=0.59)&(mnch<0.71),Im=int8(24); Im2=int8(23);q=24; dm=(mnch-0.59)/0.12;
elseif (mnch>=0.49)&(mnch<0.59),Im=int8(25); Im2=int8(24);q=25; dm=(mnch-0.49)/0.10;
elseif (mnch< 0.49),             Im=int8(26); Im2=Im;      q=26; dm=0; 
end

% Calculate Surface Deflections due to pitch state-feedback u1
dq1=  -Kmix(:,2,Im) *(Kq(:,:,Ia, Im) *u1);           %.. deflects at nominal (Ia,Im)
dq2=  -Kmix(:,2,Im) *(Kq(:,:,Ia2,Im) *u1);           %.. deflects at next (Ia2,Im)
dq3=  -Kmix(:,2,Im2)*(Kq(:,:,Ia, Im2)*u1);           %.. deflects at prev (Ia,Im2)
dq= dq1  + (dq2 - dq1)*da  + (dq3 - dq1)*dm;         %.. Interpolate deflects

delta= dq*r2d;                                       %.. deflects in (deg)
Dqpr=[delta; q;mnch];