%------------------------------------------
label='Lifting-Body Aircraft Non-Linear 6-dof Simulation';
d2r=pi/180; r2d=180/pi; f2nm=0.0001645788;
%------------------------------------------
figure (1)
plot(time,Euler*r2d, 'LineWidth',1.5)
Title(label)
legend('phi','theta','psi');
ylabel('Attitude (deg)')
xlabel('Time sec')
%------------------------------------------
figure (2)
plot(time,gama, time,alfa*r2d, time,beta*r2d, 'LineWidth',1.5)
Title(label)
legend('Gamma','Alpha','Beta');
ylabel('Flight-Path, Alpha, Beta Angles (deg)')
xlabel('Time sec')
%------------------------------------------
figure (3)
plot(time,Alt, 'LineWidth',1.5)
Title(label)
ylabel('Altitude, (ft)')
xlabel('Time sec')
%------------------------------------------
figure (4)
SUBPLOT(2,1,1), plot(time,Mach, 'LineWidth',1.5)
Title(label)
ylabel('Mach #')

SUBPLOT(2,1,2), plot(time,Qbar, 'LineWidth',1.5)
ylabel('Dynamic Pressure (PSF)')
xlabel('Time sec')
%------------------------------------------
figure (5)
plot(time,V0, 'LineWidth',1.5)
Title(label)
ylabel('Airspeed (ft/sec)')
xlabel('Time sec')
%------------------------------------------
figure (6)
plot(time,pqr*r2d, 'LineWidth',1.5)
Title(label)
legend('p','q','r');
ylabel('Body Rates (deg/sec)')
xlabel('Time sec')
%------------------------------------------
figure (8)
plot(time,Axyz, 'LineWidth',1.5)
Title(label)
legend('Ax','Ay','Az');
ylabel('Acceleration X,Y,Z (ft/sec^2)')
xlabel('Time sec')
%------------------------------------------
figure (9)
plot(time,delta, 'LineWidth',1.5)
Title(label)
legend('Left Elev','Rght Elev','Rudder','UL Bflap','UR Bflap','LL Bflap','LR Bflap');
ylabel('Surface Deflections (deg)')
xlabel('Time sec')
%------------------------------------------
figure (10)
plot(dnr*f2nm,alt, 'LineWidth',1.5)
Title(label)
ylabel('Altitude (ft)')
xlabel('Down-Range (NMi)')
%------------------------------------------
figure (11)
plot(dnr*f2nm,-xrng*f2nm, 'LineWidth',1.5)
Title(label)
ylabel('Cross-Range (NMi)')
xlabel('Down-Range (NMi)')
%------------------------------------------
figure (12)
plot(time,dnr*f2nm, 'LineWidth',1.5)
Title(label)
ylabel('Down-Range (NMil)')
xlabel('Time sec')
%------------------------------------------
figure (13)
[n1,n2]=size(time);
plot(time([n1-50:n1]), Alt([n1-50:n1]), 'LineWidth',1.5)
Title(label)
ylabel('Altitude, (ft)')
xlabel('Time sec')
%------------------------------------------
figure (14)
plot(time,Strm, 'LineWidth',1.5)
Title(label)
legend('Left Elev','Rght Elev','Rudder','UL Bflap','UR Bflap','LL Bflap','LR Bflap');
ylabel('Surface Trim Angles (deg)')
xlabel('Time sec')
%------------------------------------------

