% Initialization and LQR design, File Init.m 
d2r=pi/180; r2d=180/pi;
[Aps, Bps, Cps, Dps] = pitch_des;                % Load Pitch Design Model
[Als, Bls, Cls, Dls] = later_des;                % Load Lateral Design Model
[Ave, Bve, Cve, Dve] = vehicle_sim;              % Simulation 6-dof Model
load KmixT35.mat -ascii; Kmix=KmixT35;           % Load Surfaces Mix Logic (13 x 4)
Te=15900;                                        % Nominal Engine thrust

% Pitch LQR Design Using the 13 Effectors
[Ap4,Bp4,Cp4,Dp4]= linmod('Pdes4x');             % 4-state des model {thet_int,theta,q,alfa}
R=0.01; Q=[8 5  4 0.05]; Q=diag(Q);              % LQR Weights for {thet_int,theta,q,alfa}
[Kq,s,e]=lqr(Ap4,Bp4,Q,R)                        % Perform LQR design
save Kq_T35.mat Kq -ascii                        % Pitch State-Feedback Gain Kq

% Lateral LQR Design Using the 13 Effectors
[Al4,Bl4,Cl4,Dl4]= linmod('Ldes5x');             % 5-state des model {phi_int,phi,p,r,beta}
R=[1,1]*5; R=diag(R);                           % LQR Weights R=[1,10]*2
Q=[10 8 5 2 0.05]*0.01; Q=diag(Q);              % LQR Weights Q=[1 1 1 0.04 0.04]*0.4
[Kpr,s,e]=lqr(Al4,Bl4,Q,R)                       % Perform LQR design
save Kpr_T35.mat Kpr -ascii                      % Lateral State-Feedback Gain Kpr
