%------------------------------------------
label='Lifting-Body Aircraft Ascent, Phi_{cmd}=10 (deg)';
%------------------------------------------
figure (1)
SUBPLOT(2,1,1), plot(time,gust, 'LineWidth',1.5)
Title(label)
ylabel('Wind Gust in (ft/sec)')

SUBPLOT(2,1,2), plot(time,phicmd*r2d, time,phi*r2d, 'LineWidth',1.5)
ylabel('Phi, Phi_cmd (deg)')
xlabel('Time sec')
%------------------------------------------
figure (2)
SUBPLOT(2,1,1), plot(time,pqr*r2d, 'LineWidth',1.5)
Title(label)
ylabel('Body Rates, Wb (deg/sec)')
legend('P','Q','R');

SUBPLOT(2,1,2), plot(time,theta*r2d, time,Thecmd*r2d, 'LineWidth',1.5)
ylabel('Theta (deg)')
xlabel('Time sec')
%------------------------------------------
figure (3)
plot(time,accel, 'LineWidth',1.5)
Title(label)
legend('Axial','Ny','Nz');
ylabel('Accelerat x,y,z (ft/s^2)')
xlabel('Time sec')
%------------------------------------------
figure (4)
plot(time,albet, 'LineWidth',1.5)
Title(label)
legend('Alpha','Beta');
ylabel('Alpha, Beta (deg)')
xlabel('Time sec')
%------------------------------------------
figure (5)
SUBPLOT(2,1,1), plot(time,dV, 'LineWidth',1.5)
Title(label)
ylabel('Delta Velocity (ft/sec)')

SUBPLOT(2,1,2), plot(time,dh, 'LineWidth',1.5)
ylabel('Delta Altitude (ft)')
xlabel('Time sec')
%------------------------------------------
figure (6)
SUBPLOT(2,1,1), plot(time,delta(:,[1,2])*r2d, 'LineWidth',1.5)
Title(label)
legend('Left TVC','Right TVC');
ylabel('Eng Pitch Deflect (deg)')

SUBPLOT(2,1,2), plot(time,delta(:,[3,4])*r2d, 'LineWidth',1.5)
ylabel('Eng Yaw Deflect (deg)')
xlabel('Time sec')
%------------------------------------------
figure (7)
plot(time,(1+delta(:,[5,6]))*Te, 'LineWidth',1.5)
Title(label)
legend('Left Eng','Right Eng');
ylabel('Engine Thrusts (lb)')
xlabel('Time sec')
%------------------------------------------
figure (8)
plot(time,delta(:,[7:9])*r2d, 'LineWidth',1.5)
Title(label)
legend('Left Elev','Rght Elev','Rudder');
ylabel('Surface Deflect (deg)')
xlabel('Time sec')
%------------------------------------------
figure (9)
SUBPLOT(2,1,1), plot(time,delta(:,[10,11])*r2d, 'LineWidth',1.5)
Title(label)
legend('UL Bflap','UR Bflap');
ylabel('Upper Body-Flaps Defl. (deg)')

SUBPLOT(2,1,2), plot(time,delta(:,[12,13])*r2d, 'LineWidth',1.5)
legend('LL Bflap','LR Bflap');
ylabel('Lower Body-Flaps Defl. (deg)')
xlabel('Time sec')
%------------------------------------------

